package nl.kallestruik.riseofblocks.handlers;

import net.neoforged.api.distmarker.Dist;
import net.neoforged.bus.api.SubscribeEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.neoforge.client.event.EntityRenderersEvent;
import nl.kallestruik.riseofblocks.RiseOfBlocks;
import nl.kallestruik.riseofblocks.blockentities.FlagBlockRenderer;
import nl.kallestruik.riseofblocks.registry.BlockEntityRegistry;


@EventBusSubscriber(value = Dist.CLIENT, modid = RiseOfBlocks.MODID)
public class BlockEntityRendererRegister {
    @SubscribeEvent
    public static void registerEntityRenderers(EntityRenderersEvent.RegisterRenderers event) {
        event.registerBlockEntityRenderer(BlockEntityRegistry.FLAG.get(),
                // Pass the context to an empty (default) constructor call
                context -> new FlagBlockRenderer()
        );
    }
}
